Craft Edge

Sure Cuts A Lot Forum
It is currently Mon May 21, 2018 12:46 pm

All times are UTC - 8 hours




Post new topic Reply to topic  [ 16 posts ]  Go to page 1, 2  Next
Author Message
PostPosted: Mon Dec 20, 2010 4:38 am 

Joined: Mon Dec 20, 2010 2:54 am
Posts: 43
Location: Brasil-Windows XP-SCAL2-Inkscape-Photoshop CS3
Hello
I saw on a Yahoo group that use the new version for 2038 will need to update the firmware of my CExpressio which is 2.31 to 2.34.
My question is if I can do this with the trial version of DS?
Thanks for your help

Adines


Top
 Profile  
 
PostPosted: Mon Dec 20, 2010 5:14 am 

Joined: Mon Oct 12, 2009 5:01 am
Posts: 4465
viewtopic.php?f=18&t=15157&p=70315&hilit=Design+Studio+Trial+Version+firmware+update#p70315

It has been so long, so I could not remember...but here is a post I found in SEARCH


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 8:59 am 

Joined: Mon Dec 20, 2010 2:54 am
Posts: 43
Location: Brasil-Windows XP-SCAL2-Inkscape-Photoshop CS3
Thank you very much!

Adines


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 12:08 pm 

Joined: Sun Mar 16, 2008 2:08 pm
Posts: 4397
Location: CALIFORNIA
I have not heard that anyone on this forum who is using 2.038 had to update their firmware above what is posted on CraftEdge. I certainly haven't and mine is running just fine. Anyone else?

S
Quote:
ystem Requirements

Pentium processor-based PC or compatible computer (Windows)
Windows XP/Vista/7 (Windows)
Intel based Macintosh (Mac)
Macintosh OSX 10.4/10.5/10.6 (Mac)
512 MB of RAM or more
At least 50 MB of available hard disk space
USB Port 1.1 or 2.x
CricutTM Personal - Firmware v1.1 or 1.3 **
CricutTM Expression - Firmware v2.1 or 2.3 **
CricutTM Create - Firmware v1.51 **
CricutTM Cake - Firmware v2.3x **


* "Cricut" is a trademark of Provo Craft & Novelty Inc. This site is not affiliated with Provo Craft & Novelty Inc

** In order to cut with this software, you must have Firmware version 1.1 or 1.3x on your Cricut* Personal machine; version 2.1 or 2.3x on your Cricut* Expression machine; version 1.51-1.54 on your Cricut* Create machine; version 2.3x on your Cricut* Cake machine. For more information on checking your firmware version, or updating your firmware version, please see Sure Cuts A Lot FAQ.

*** You must have a cartridge inserted into the Cricut machine in order to cut. It does not matter which cartridge is used.

_________________
Susan E
http://creationsbypapasue.blogspot.com
LEARN, GROW, CREATE, SHARE


Mac 10.12.6 Sierra, eCAL 1.506, ECAL2.023, SCAL4Pro, Export Plug-in, Inkscape 48, iPad/scal3
eClips2.


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 12:51 pm 

Joined: Mon Nov 10, 2008 8:39 am
Posts: 3907
I have only updated my firmware the one time and that's when I first got my machine. All the latest releases of SCAL work on my machine and I am running 2.31.

_________________
Todd


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 1:58 pm 

Joined: Sun Dec 21, 2008 6:19 pm
Posts: 1820
Location: FL; SCAL1, SCAL2; Mac; Ink .47, AI CS4
I think people may be getting confused with MTC, because the latest version of that does require the latest Cricut firmware.

_________________
Kay
Visit my blog - Clever Someday


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 2:10 pm 

Joined: Wed Feb 04, 2009 6:37 am
Posts: 568
Location: brazil
I second you Kay.

Once more thx many thx for explaining that.
best,
paulo
http://scale-files.blogspot.com/

_________________
Image


Top
 Profile  
 
PostPosted: Tue Dec 21, 2010 2:22 pm 

Joined: Mon Dec 20, 2010 2:54 am
Posts: 43
Location: Brasil-Windows XP-SCAL2-Inkscape-Photoshop CS3
Thank you all.
It will be very good if you do not need to update anything!


Top
 Profile  
 
PostPosted: Wed Dec 22, 2010 1:21 pm 

Joined: Mon Dec 20, 2010 2:54 am
Posts: 43
Location: Brasil-Windows XP-SCAL2-Inkscape-Photoshop CS3
Well, after downloading and installing the 2038 version does not cut my Expression.
It took me back to version 2030!
Somebody help me with this?
What can I be doing wrong?
Thanks


Top
 Profile  
 
PostPosted: Wed Dec 22, 2010 2:23 pm 

Joined: Sun Mar 16, 2008 2:08 pm
Posts: 4397
Location: CALIFORNIA
Adines, I'm so sorry to hear that you had problems. I know that when 38 was released last week they had installation problems, took it down for awhile and reposted it later in the day.

I suggest that you contact support at CraftEdge telling them what your computer configuration is and describing the problem. Here's the link to the technical support form

http://craftedge.com/support/support.html

They are usually around 24/7 these days but it is getting onto Christmas.

Good luck and let us no what happens.

_________________
Susan E
http://creationsbypapasue.blogspot.com
LEARN, GROW, CREATE, SHARE


Mac 10.12.6 Sierra, eCAL 1.506, ECAL2.023, SCAL4Pro, Export Plug-in, Inkscape 48, iPad/scal3
eClips2.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 16 posts ]  Go to page 1, 2  Next

All times are UTC - 8 hours


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group